Bug 1014037 - [QA] (6.4.0) Clean shutdown of server with deployed JMS bridge hangs
[QA] (6.4.0) Clean shutdown of server with deployed JMS bridge hangs
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: DR1
: EAP 6.4.0
Assigned To: Andy Taylor
Miroslav Novak
:
Depends On:
Blocks: 1132168 1132468
  Show dependency treegraph
 
Reported: 2013-10-01 05:55 EDT by Miroslav Novak
Modified: 2017-10-09 20:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1132468 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
threaddump (30.51 KB, text/plain)
2013-10-01 05:57 EDT, Miroslav Novak
no flags Details
reproducer-jms-bridge.zip (55.43 KB, application/zip)
2014-07-18 05:08 EDT, Miroslav Novak
no flags Details

  None (edit)
Description Miroslav Novak 2013-10-01 05:55:39 EDT
Description of problem:

Test scenario:
1. Start two EAP 6.x servers - "source" server with deployed queue InQueue and "target" server with deployed queue OutQueue
2. Send 1000 large messages to InQueue
3. Deploy JMS bridge to "source" server which resends messages from InQueue to OutQueue (to "target" server)
4. During processing of messages from InQueue cleanly shutdown "target" server
5. Try to cleanly shutdown "source" server

Result:
Clean shutdown of "source" server hangs. Thread dump attached. 

Expected result:
"source" server should shutdown.
Comment 1 Miroslav Novak 2013-10-01 05:57:35 EDT
Created attachment 805812 [details]
threaddump
Comment 2 Clebert Suconic 2013-10-01 10:37:40 EDT
I've asked Andy Taylor to take a look on this.

It was just open.. I think it would take us at least 1 week to resolve it. We can do a release if there's space on the release schedule. We will communicate accordingly within a week.
Comment 3 Miroslav Novak 2014-07-07 04:33:49 EDT
This is still issue in EAP 6.3.0.ER9 (HQ 2.3.20).
Comment 4 Miroslav Novak 2014-07-18 05:06:58 EDT
Attaching reproducer - reproducer-jms-bridge.zip:

1. Download and unzip reproducer-jms-bridge.zip
2. run "sh prepare.sh"
3. Start target server (server1) - "sh start-server1.sh 127.0.0.1"
4. start source server wiht JMS bridge (which is server3)  - "sh start-server3.sh other_ip"
5. Start procucer sending messages to server 3 - "sh start-producer.sh 192.168.40.3 jms/queue/InQueue 1000"
6. When proucer is sending messages cleanly shutdown (ctrl-c) server1
7. Now cleanly shutdown (ctrl-c) server3 -> server hangs
Comment 5 Miroslav Novak 2014-07-18 05:08:12 EDT
Created attachment 919001 [details]
reproducer-jms-bridge.zip
Comment 6 Andy Taylor 2014-07-18 10:04:43 EDT
Im working on this
Comment 7 Andy Taylor 2014-07-22 08:47:59 EDT
fixed in https://github.com/hornetq/hornetq/pull/1720
Comment 8 Kabir Khan 2014-08-24 06:59:15 EDT
Appears to be fixed by HQ upgrade to 2.3.21 https://bugzilla.redhat.com/show_bug.cgi?id=1132168. Setting to MODIFIED.
Comment 9 Miroslav Novak 2014-09-17 11:01:22 EDT
This problem appears to be fix. I can't simulate it any-more.

Verified in EAP 6.4.0.DR1.

Note You need to log in before you can comment on or make changes to this bug.